libxml++ 2.42.4

Public Member Functions | List of all members
xmlpp::Dtd Class Reference

Represents XML DTDs. More...

`#include <libxml++/dtd.h>`

## Public Member Functions
| Dtd (_xmlDtd * dtd)
| ~Dtd ()
_xmlDtd * | cobj ()
| Access the underlying libxml implementation.
const _xmlDtd * | cobj () const
| Access the underlying libxml implementation.
Glib::ustring | get_external_id () const
Glib::ustring | get_name () const
Glib::ustring | get_system_id () const

## Detailed Description

Represents XML DTDs.

## Constructor & Destructor Documentation

## ◆ Dtd()

xmlpp::Dtd::Dtd | ( | _xmlDtd * | dtd | ) |

## ◆ ~Dtd()

xmlpp::Dtd::~Dtd | ( |  | ) |

## Member Function Documentation

## ◆ cobj() [1/2]

_xmlDtd * xmlpp::Dtd::cobj | ( |  | ) |

Access the underlying libxml implementation.

## ◆ cobj() [2/2]

const _xmlDtd * xmlpp::Dtd::cobj | ( |  | ) | const

Access the underlying libxml implementation.

## ◆ get_external_id()

Glib::ustring xmlpp::Dtd::get_external_id | ( |  | ) | const

## ◆ get_name()

Glib::ustring xmlpp::Dtd::get_name | ( |  | ) | const

## ◆ get_system_id()

Glib::ustring xmlpp::Dtd::get_system_id | ( |  | ) | const